summaryrefslogtreecommitdiffstats
path: root/audio/ices-cc/ices-cc.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/ices-cc/ices-cc.SlackBuild')
-rw-r--r--audio/ices-cc/ices-cc.SlackBuild106
1 files changed, 106 insertions, 0 deletions
diff --git a/audio/ices-cc/ices-cc.SlackBuild b/audio/ices-cc/ices-cc.SlackBuild
new file mode 100644
index 0000000000..382177ea4a
--- /dev/null
+++ b/audio/ices-cc/ices-cc.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for ices-cc
+
+# Written by Rodney Cobb (rdc@ktabic.co.uk)
+# Modified by Antonio Hernández Blas <hba.nihilismus@gmail.com> for ices-cc
+
+PRGNAM=ices-cc
+VERSION=${VERSION:-0.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Disable flac support with "with_flac" enviroment variable, please read:
+# http://www.linuxquestions.org/questions/slackware-14/ices0-for-slackware-767465/
+
+# ices-cc (0.4.1) has various file conflicts with ices (0.4, for mp3) ices (2.0.1, for Ogg)
+# so the suffix "-cc" will be added except for ices modules (/etc/modules/ices.* which
+# dont conflict.
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+with_flac="no" \
+./configure \
+ --program-suffix="-cc" \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mv $PKG/etc/ices.conf.dist $PKG/etc/$PRGNAM.conf.new
+mv $PKG/etc/modules/ices.sh.dist $PKG/etc/modules/ices.sh.new
+mv $PKG/etc/modules/ices.pm.dist $PKG/etc/modules/ices.pm.new
+mv $PKG/etc/modules/ices.py.dist $PKG/etc/modules/ices.py.new
+
+# Create log directory
+mkdir -p $PKG/var/log/$PRGNAM
+
+# Install an init script
+mkdir -p $PKG/etc/rc.d
+install -m 644 $CWD/rc.$PRGNAM $PKG/etc/rc.d/rc.$PRGNAM.new
+
+rm -rf $PKG/usr/doc/ices
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING AUTHORS BUGS INSTALL NEWS README* TODO doc/*.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}